---
layout: default
title: Applications Supporting GitLab
suppress_header: true
extra_css:
  - applications.css
---
<div class="wrapper">
  <div class="application-container">
    <div class="application-overlay">
      <div class="application-content">
        <h1>Applications Supporting GitLab</h1>
      </div>
    </div>
  </div>

  <br/>

  <div class="container-text">
    <p><b>Every application that supports Git will work with GitLab.
      Below are some of the applications we wanted to highlight.
      You can use the <a href="http://doc.gitlab.com/ce/api/">GitLab API</a> to add support for GitLab.
      Please file a <a href="https://gitlab.com/gitlab-com/www-gitlab-com/merge_requests?assignee_id=&label_name=&milestone_id=&scope=all&sort=newest&state=all">merge request</a>
      to add a new application to the list.</b></p>

    <hr />
    
    <h2 id="native-apps">Native Apps</h2>

    <div class="row">
      <div class="col-md-4">
        <h4>iOS GitLab Control</h4>
        <p>Third party iPhone app.</p>
        <a href="http://gitlabcontrol.com/">gitlabcontrol.com</a>
      </div>
      <div class="col-md-4">
        <h4>Android GitLab</h4>
        <p>Third party Android app by Benjamin Dengler, <a href="https://github.com/ekx/GitLabAndroid">source code</a> available</p>
        <a href="https://play.google.com/store/apps/details?id=com.bd.gitlab&hl=en">Play Store</a>
      </div>
      <div class="col-md-4">
        <h4>Chrome GitLab Notifier</h4>
        <p>Third party notifier for Gitlab events (Commit, Issue, MergeRequest and Milestone).</p>
        <a href="https://chrome.google.com/webstore/detail/gitlab-notifier-for-googl/eageapgbnjicdjjihgclpclilenjbobi">Chrome App Store</a>
      </div>
    </div>

    <div class="row">
      <div class="col-md-4">
        <h4>Leanlabs.io Kanban board</h4>
        <p>Simple kanban board for Gitlab issues</p>
        <a href="http://kanban.leanlabs.io">kanban.leanlabs.io</a>
      </div>
    </div>

    <hr />

    <h2 id="api-clients">API Clients</h2>

    <div class="row">
      <div class="col-md-4">
        <h4>GitLab Command Line Tool</h4>
        <p>Interact with your GitLab server via the command line to manage snippets, projects and more.</p>
         <a href="https://github.com/drewblessing/gitlab-cli">Repository on GitHub</a>
         <br/>
      </div>
      <div class="col-md-4">
        <h4>GitLab Command Line Tool</h4>
        <p>Git::Gitlab is a GitLab command line interface.</p>
        <a href="https://github.com/numa08/git-gitlab">Repository on GitHub</a>
      </div>
      <div class="col-md-4">
        <h4>Ruby wrapper &amp; CLI</h4>
        <p>Ruby wrapper and CLI for GitLab REST API.</p>
        <a href="https://github.com/NARKOZ/gitlab">Repository on GitHub</a>
      </div>
    </div>

    <div class="row">
      <div class="col-md-4">
        <h4>Python wrapper</h4>
        <p>Python wrapper for the GitLab API</p>
        <a href="https://github.com/gpocentek/python-gitlab">Repository on GitHub</a>
      </div>
      <div class="col-md-4">
        <h4>PyAPI-GitLab</h4>
        <p>PyAPI-GitLab is a python wrapper for the Gitlab API.</p>
        <a href="https://github.com/Itxaka/pyapi-gitlab">Repository on GitHub</a>
      </div>
      <div class="col-md-4">
        <h4>GitLab::API::v3 Perl Client</h4>
        <p>A complete GitLab API v3 client.</p>
        <br><a href="https://metacpan.org/pod/GitLab::API::v3">Distribution on MetaCPAN</a>
        <br><a href="https://github.com/bluefeet/GitLab-API-v3">Repository on GitHub</a>
      </div>
    </div>

    <br />

    <div class="row">
      <div class="col-md-4">
        <h4>Net::GitLab Perl Client</h4>
        <p>Talk to a Gitlab installation via its API.</p>
        <a href="https://metacpan.org/release/AYOUNG/Net-Gitlab-0.05">Repository on matacpan.org</a>
      </div>
      <div class="col-md-4">
        <h4>PHP-GitLab-API</h4>
        <p>GitLab API client for PHP</p>
        <a href="https://github.com/m4tthumphrey/php-gitlab-api">Repository on GitHub</a>
      </div>
      <div class="col-md-4">
        <h4>Laravel API Wrapper</h4>
        <p>Laravel API Wrapper for GitLab CE</p>
        <a href="https://github.com/adamgoose/gitlab">Repository on GitHub</a>
      </div>
    </div>

    <div class="row">
      <div class="col-md-4">
        <h4>Node GitLab</h4>
        <p>GitLab API Node.js library.</p>
        <a href="https://github.com/moul/node-gitlab">Repository on GitHub</a>
      </div>
      <div class="col-md-4">
        <h4>Java GitLab API</h4>
        <p>A wrapper for the Gitlab API written in Java</p>
        <a href="https://github.com/timols/java-gitlab-api">Repository on GitHub</a>
      </div>
      <div class="col-md-4">
        <h4>NGitLab</h4>
        <p>.NET client for GitLab.</p>
        <a href="https://github.com/Scooletz/NGitLab">Repository on GitHub</a>
      </div>
    </div>

    <div class="row">
      <div class="col-md-4">
        <h4>Node GitLab</h4>
        <p>GitLab API Node.js library.</p>
        <a href="https://github.com/moul/node-gitlab">Repository on GitHub</a>
      </div>
      <div class="col-md-4">
        <h4>Go GitLab Client</h4>
        <p>Go client for GitLab.</p>
        <a href="https://github.com/Bugagazavr/go-gitlab-client">Repository on GitHub</a>
      </div>
      <div class="col-md-4">
        <h4>GitLabKit</h4>
        <p>API client library for GitLab API, written in Swift.</p>
        <a href="https://github.com/orih/GitLabKit">Repository on GitHub</a>
      </div>
    </div>

    <div class="row">
      <div class="col-md-12">
        <h4>Backbone for GitLab</h4>
        <p> Backbone client library for the GitLab API</p>
        <a href="https://github.com/oreillymedia/backbone-gitlab/">Repository on GitHub</a>
      </div>
    </div>

    <hr />

    <h2 id="utilities">Utilities</h2>

    <div class="row">
      <div class="col-md-4">
        <h4>Mirror a GitHub project to GitLab</h4>
        <p>github2gitlab is a command line tool to mirror the git repository and the pull requests of a GitHub project to GitLab. As of version 7.7.0 GitLab also <a href="http://doc.gitlab.com/ce/workflow/import_projects_from_github.html">includes a GitHub importer</a> that transfers issues and comments.</p>
        <a href="https://pypi.python.org/pypi/github2gitlab">Home Page</a>
      </div>
      <div class="col-md-4">
        <h4>Usersnap</h4>
        <p>Add annotated screenshots to every issue in GitLab. A picture paints a thousand words, so reproducing the bug gets as simple as possible.</p>
        <a href="https://usersnap.com/gitlab">www.usersnap.com</a>
      </div>
      <div class="col-md-4">
        <h4>GitLab Identity Connector</h4>
        <p>Identity connector for GitLab written using ConnId framework. The
          connector can be used to access GitLab from <a href="http://midpoint.evolveum.com/">midPoint</a>
          identity management system.</p>
        <a href="https://github.com/Evolveum/connector-gitlab">Repository on GitHub</a>
      </div>
    </div>

    <br />

    <div class="row">
      <div class="col-md-4">
        <h4>create-gitlab-repo</h4>
        <p>Simple script creating a Gitlab project from the local
            repository in the current directory.</p>
        <a href="https://gitlab.com/mcepl/create-gitlab-repo">Repository</a>
      </div>
      <div class="col-md-4">
        <h4>GitLab Listener</h4>
        <p>JIRA add-on allowing the reception of GitLab push events using GitLab project web hooks.</p>
        <a href="https://marketplace.atlassian.com/plugins/com.allenta.jira.plugins.gitlab.gitlab-listener">Atlassian Marketplace</a>
      </div>
      <div class="col-md-4">
        <h4>Gitlab IRC gateway</h4>
        <p>IRC notifications using web hooks, implemented with the <a href="http://www.catb.org/esr/irker/">irker IRC bot</a>.</p>
        <a href="https://gitlab.com/anarcat/irklab">Repository on gitlab.com</a>
      </div>
    </div>

    <hr />

    <h2 id="continuous-integration">Continuous Integration</h2>

    <div class="row">
      <div class="col-md-4">
        <h4>GitLab CI</h4>
        <p>GitLab Continuous Integration (CI) integrates with your GitLab installation to run tests for your projects.
          Login with GitLab account, add a project with one click and enjoy running your tests.
          GitLab CI is on-premises software that you can install and use on your server(s) and is supported by GitLab B.V.</p>
        <a href="https://about.gitlab.com/gitlab-ci/">GitLab CI</a>
      </div>
      <div class="col-md-4">
        <h4>Magnum CI</h4>
        <p>Hosted Continuous Integration and Delivery Platform</p>
        <a href="http://blog.magnum-ci.com/post/55149963415/integration-with-gitlab">Magnum CI Integration with GitLab</a>
      </div>
      <div class="col-md-4">
        <h4>BuildKite</h4>
        <p>BuildKite runs builds on GitLab commits, either on self-hosted GitLab repositories or GitLab.com.</p>
        <a href="https://buildkite.com/docs/guides/gitlab">BuildKite</a>
      </div>      
    </div>

    <div class="row">
      <div class="col-md-12">
        <h4>StriderCD</h4>
        <p>StriderCD is an open-source continuous integration tool that integrates well with GitLab.</p>
        <a href="http://strider.readthedocs.org/en/latest/intro.html">StriderCD</a>        
      </div>
    </div>

    <hr />

    <h2 id="cms-plugins">CMS Plugins</h2>

    <div class="row">
      <div class="col-md-6">
        <h4>Drupal Plugin</h4>
        <p>Connect your Drupal site to a GitLab instance using web services.
        This is purely an API module. You should only enable it if another module requires it or if you want to build code against this API.</p>
        <a href="https://www.drupal.org/project/gitlab">www.drupal.org</a>
      </div>
      <div class="col-md-6">
        <h4>Dropfort</h4>
        <p>Dropfort helps you to organize your Drupal projects and manage your sites in one simple interface.</p>
        <a href="http://dropfort.com">www.dropfort.com</a>
      </div>
    </div>

    <hr />

    <h2 id="gui-git-clients">GUI Git Clients</h2>

    <div class="row">
      <div class="col-md-4">
        <h4>All GUI Clients</h4>
        <p>All Git GUI Clients from all companies are compatible with GitLab.</p>
        <a href="http://git-scm.com/downloads/guis">http://git-scm.com/downloads/guis</a>
      </div>
      <div class="col-md-4">
        <h4>Git Tower</h4>
        <p>Easy version control in a beautiful, efficient, and powerful app for Mac OS X.</p>
        <a href="http://www.git-tower.com/">www.git-tower.com</a>
      </div>
      <div class="col-md-4">
        <h4>Eclipse</h4>
        <p>Eclipse has the Egit Team provider that also supports GitLab.</p>
        <a href="https://projects.eclipse.org/projects/technology.egit">Eclipse Git Team Provider</a>
      </div>
    </div>

    <div class="row">
      <div class="col-md-12">
        <h4>PhpStorm</h4>
        <p>This IDE for the PHP programming language has a GitLab plugin.</p>
        <a href="https://plugins.jetbrains.com/plugin/7319?pr=phpStorm">Plugin on the Jetbrains site</a>
      </div>
    </div>

    <hr />

    <h2 id="performance-measurement">Performance measurement</h2>

    <div class="row">
      <div class="col-md-12">
        <h4>AppSignal</h4>
        <p>AppSignal <a href="http://blog.appsignal.com/blog/2015/01/20/gitlab-integration.html">support GitLab</a> and can monitor both Rails and Sidekiq.</p>
        <a href="https://appsignal.com/">appsignal.com</a>
      </div>
    </div>

    <hr />

    <h2>Login with your GitLab.com account</h2>

    <div class="row">
      <div class="col-md-6">
        <h4>GitLab CI</h4>
        <p>Login to ci.gitlab.com with your GitLab.com account.</p>
        <a href="https://ci.gitlab.com/">ci.gitlab.com</a>
      </div>
      <div class="col-md-6">
        <h4>OAuth2 service provider</h4>
        <p>Using the OAuth2 service provider to sign into other services.</p>
        <a href="https://gitlab.com/gitlab-org/gitlab-ce/blob/master/doc/integration/oauth_provider.md">GitLab as OAuth2 authentication service provider</a>
      </div>
    </div>

    <hr />

    <h2 id="build-with-gitlab">Build with GitLab</h2>

    <div class="row">
      <div class="col-md-4">
        <h4>Leanpub Enterprise</h4>
        <p>The backend of the technical publisher Leanpub is build with a fork of GitLab.</p>
        <a href="https://enterprise.leanpub.com/users/sign_in">enterprise.leanpub.com</a>
      </div>
      <div class="col-md-4">
        <h4>O'Reilly Atlas</h4>
        <p>Technical publisher O'Reilly Media has build their own frontend on top of a GitLab backend.
          The published a <a href="https://www.youtube.com/watch?v=IHEbYsaKW9Y&feature=youtu.be">video of the app</a>.
          They open sourced the <a href="https://github.com/oreillymedia/backbone-gitlab/">Backbone for GitLab API library</a> they developed for this.</p>
        <a href="https://atlas.oreilly.com/">atlas.oreilly.com</a>
      </div>
      <div class="col-md-4">
        <h4>Penflip</h4>
        <p>This authoring site for writing books is <a href="https://twitter.com/madebyloren/status/468917323588698112">build with a fork of GitLab.</p>
        <a href="https://www.penflip.com/">penflip.com</a>
      </div>
    </div>

      <div class="row">
        <div class="col-md-12">
          <h4>La fabrique de la loi</h4>
          <p>This site <a href="http://www.lafabriquedelaloi.fr/a-propos.html">uses GitLab</a> to store French laws in git and make the lawmaking process visual.</p>
          <a href="http://www.lafabriquedelaloi.fr/articles.html?loi=pjl12-689">lafabriquedelaloi.fr</a>
        </div>
      </div>

  </div>
</div>
